
Infrastructure - Story #2727

need to test multi-rule access policy

2012-05-09 15:40 - Rob Nahf

Status: Closed Start date: 2012-05-09

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2012.19-Block.3.2   

Story Points:    

Description

All current authorization tests are against objects with a single-rule access policy.  This does not adequately test that the

authorization algorithms:

check all of the access rules, or just the first one

look for the greatest access allowed for their set of subjects, or simply the

first one encountered

look within all of the subjects in an access rule, or just the first one

look within all of the permissions in an access rule, or just the first one

Subtasks:

Task # 2728: create a test object with a complicated access policy Closed

History

#1 - 2012-05-09 15:45 - Rob Nahf

- Category set to d1_integration

- Assignee set to Rob Nahf

#2 - 2012-05-10 18:54 - Rob Nahf

- Status changed from New to Closed

wrote and committed the test to d1_integration as per the task.  (tests all four scenarios).
